=== pentadactyl/Makefile ===
#### configuration

NAME          = pentadactyl

FIREFOX      ?= firefox
HOSTAPP      ?= $(FIREFOX)
PROFILEPATHS ?= "$$HOME/.mozilla/firefox" \
		"$$HOME/Library/Mozilla/Firefox" \
		"$$APPDATA/Mozilla/Firefox" \
		"$$AppData/Mozilla/Firefox"

include ../common/Makefile
