=== debian/changelog ===
dactyl (1.0~b6-2) unstable; urgency=low

  * Ship NEWS in /usr/share/xul-ext/pentadactyl/.  :help needs this to
    generate the dactyl://help/versions page, closes: #637919.

 -- Michael Schutte <michi@debian.org>  Sun, 21 Aug 2011 09:40:32 +0200

dactyl (1.0~b6-1) unstable; urgency=low

  * Initial release, closes: #634847.  Only build pentadactyl for now.

 -- Michael Schutte <michi@debian.org>  Tue, 26 Jul 2011 12:03:07 +0200
