=== debian/control ===
Source: dactyl
Section: web
Priority: optional
Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>
Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.19~)
Standards-Version: 3.9.2
Homepage: http://dactyl.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-mozext/dactyl.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/dactyl.git

Package: xul-ext-pentadactyl
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Vim-inspired, keyboard-accessible user interface for Iceweasel/Firefox
 This Iceweasel/Firefox extension makes it possible to control the
 browser almost entirely by keyboard, in a manner similar to the Vim
 text editor.
 .
 This is a fork of Vimperator that retains more of the look and feel of
 older Vimperator versions.
