=== debian/rules ===
#!/usr/bin/make -f

PACKAGES=pentadactyl # teledactyl melodactyl
VERSION=$(shell dpkg-parsechangelog | \
	sed -n -e '/^Version:/ { s/^Version:\s*//; s/[^a-z0-9]/_/g; p }')

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	make DIRS=$(PACKAGES) MANGLE=chrome XPI_FILES='bootstrap.js NEWS' xpi

override_dh_auto_install:
	for PACKAGE in $(PACKAGES); \
		do install-xpi -p xul-ext-$$PACKAGE downloads/$$PACKAGE-*.xpi; \
		done

override_dh_auto_clean:
	make DIRS=$(PACKAGES) clean
	for PACKAGE in $(PACKAGES); \
		do rm -f $$PACKAGE/chrome.zip; \
		done

override_dh_installchangelogs:
	for PACKAGE in $(PACKAGES); \
		do dh_installchangelogs -p xul-ext-$$PACKAGE $$PACKAGE/NEWS; \
		done

UPSTREAM_REPO=../upstream
UPSTREAM_REVISION=pentadactyl-1.0b6
UPSTREAM_DEST=$(shell pwd)/dactyl.tar.gz

get-orig-source:
	rm -f .hg-repo-created
	test -d $(UPSTREAM_REPO) || ( cd `dirname $(UPSTREAM_REPO)` && \
		hg clone http://dactyl.googlecode.com/hg/ `basename $(UPSTREAM_REPO)` && \
		touch .hg-repo-created )
	hg --cwd $(UPSTREAM_REPO) pull
	hg --cwd $(UPSTREAM_REPO) update
	hg --cwd $(UPSTREAM_REPO) archive \
		-r $(UPSTREAM_REVISION) -p dactyl \
		-X .hgtags -X common/javascript.vim \
		-t tgz $(UPSTREAM_DEST)
	test ! -f .hg-repo-created || ( rm -rf $(UPSTREAM_REPO); rm -f .hg-repo-created )
