## dactyl 1.0~b7.1

=== common/Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
 #### configuration
+
+
+AWK       ?= awk
+B64ENCODE ?= base64
+CURL      ?= curl
+SED       := $(shell if [ "xoo" = x$$(echo foo | sed -E 's/f(o)/\1/' 2>/dev/null) ]; \
+		     then echo sed -E; else echo sed -r;			     \
+		     fi)
 
 TOP           = $(shell pwd)
 OS            = $(shell uname -s)
@@ -6,8 +14,8 @@
 BASE          = $(TOP)/../common
 GOOGLE_PROJ   = dactyl
 GOOGLE	      = https://$(GOOGLE_PROJ).googlecode.com/files
-VERSION	     ?= $(shell sed -n 's/.*em:version\(>\|="\)\(.*\)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
-UUID   	     := $(shell sed -n 's/.*em:id\(>\|="\)\(.*\)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
+VERSION	     ?= $(shell $(SED) -n 's/.*em:version(>|=")(.*)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
+UUID   	     := $(shell $(SED) -n 's/.*em:id(>|=")(.*)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
 MANGLE	     := $(shell date '+%s' | awk '{ printf "%x", $$1 }')
 MOZMILL       = mozmill
 HOSTAPP_PATH  = $(shell which $(HOSTAPP))
@@ -45,13 +53,6 @@
 RDF_IN        = $(RDF).in
 
 BUILD_DIR     = build.$(VERSION).$(OS)
-
-AWK       ?= awk
-B64ENCODE ?= base64
-CURL      ?= curl
-SED       := $(shell if [ "xoo" = x$$(echo foo | sed -E 's/f(o)/\1/' 2>/dev/null) ]; \
-		     then echo sed -E; else echo sed -r;			     \
-		     fi)
 
 .SILENT:
 
@@ -121,7 +122,7 @@
 	done; 									\
 										\
 	profile=$$(sed 's/^$$/\#/' "$$dir/profiles.ini" |			\
-		awk -v"profile=$(PROFILE)" 					\
+		awk -v "profile=$(PROFILE)"					\
 			'BEGIN { RS="#" } 					\
 			index($$0, "\nName=" profile "\n") { print; exit } 	\
 			!profile && /\nName=default\n/ { args["name=default"] = $$0 } 	\
@@ -177,11 +178,11 @@
 xpi: $(CHROME)
 	@echo "Building XPI..."
 	mkdir -p "$(XPI_PATH)"
-	
+
 	$(AWK) -v 'name=$(NAME)' -v 'suffix=$(MANGLE)' \
 	       -f $(BASE)/process_manifest.awk \
 	       "$(TOP)/chrome.manifest" >"$(XPI_PATH)/chrome.manifest"
-	
+
 	version="$(VERSION)"; 			\
 	hg root >/dev/null 2>&1 && 		\
 	case "$$version" in			\
@@ -189,7 +190,7 @@
 	esac; 					\
 	$(SED) -e 's/(em:version(>|="))([^"<]+)/\1'"$$version/" \
 		<"$(TOP)/install.rdf" >"$(XPI_PATH)/install.rdf"
-	
+
 	$(MAKE_JAR) "$(XPI)" "$(XPI_BASES)" "$(XPI_DIRS)" "$(XPI_TEXTS)" "$(XPI_BINS)" "$(XPI_FILES)"
 	rm -r -- $(CHROME)
 	@echo "Built XPI: $(XPI)"
