=== debian/changelog ===
dactyl (1.0~b7.1-1) unstable; urgency=low

  * New upstream version; supports Iceweasel/Firefox versions up to 8.*.
  * No source changes needed for this upload, drop debian/patches/.
  * debian/copyright: Add Mozilla Foundation copyright on Mozmill.

 -- Michael Schutte <michi@debian.org>  Sat, 08 Oct 2011 19:41:36 +0200
