## dactyl 1.0~rc1

=== common/Makefile ===
--- 
+++ 
@@ -32,15 +32,16 @@
 
 # TODO: specify source files manually?
 JAR_BASES     = $(TOP) $(BASE)
+JAR_FILES     = config.json
 JAR_DIRS      = content skin locale modules
-JAR_TEXTS     = js jsm css dtd xml xul html xhtml xsl properties
+JAR_TEXTS     = js jsm css dtd xml xul html xhtml xsl properties json
 JAR_BINS      = png
 
 CHROME	      = $(MANGLE)/
 JAR           = $(CHROME)$(NAME).jar
 
 XPI_BASES     = $(JAR_BASES) $(TOP)/..
-XPI_FILES     = bootstrap.js TODO AUTHORS Donors NEWS LICENSE.txt
+XPI_FILES     = icon.png icon64.png bootstrap.js TODO AUTHORS Donors NEWS LICENSE.txt
 XPI_DIRS      = components $(MANGLE) defaults
 XPI_TEXTS     = js jsm $(JAR_TEXTS)
 XPI_BINS      = $(JAR_BINS)
@@ -142,14 +143,20 @@
 		exit 1; 							\
 	fi; 									\
 										\
-	ext="$$profile/extensions/$(UUID)"; 					\
-	mkdir -p "$$(dirname "$$ext")"; 					\
-	rm -rf "$$ext.xpi" "$$ext"; 						\
-	echo "Installing to $$ext"; 						\
-	if which cygpath >/dev/null 2>&1; 					\
-	then cygpath -wa .; 							\
-	else pwd; 								\
-	fi >"$$ext"
+	install() {								\
+		ext="$$profile/extensions/$$2"; 				\
+		mkdir -p "$$(dirname "$$ext")"; 				\
+		rm -rf "$$ext.xpi" "$$ext"; 					\
+										\
+		echo "Installing $$2 to $$ext";					\
+		if which cygpath >/dev/null 2>&1; 				\
+		then cygpath -wa $$1; 						\
+		else (cd $$1; pwd);						\
+		fi >"$$ext";							\
+	};									\
+	install . $(UUID);							\
+	install ../binary binary@dactyl.googlecode.com;				\
+
 installxpi: xpi
 	$(HOSTAPP) $(XPI)
