=== debian/changelog ===
dactyl (1.0~rc1-1) unstable; urgency=low

  * New upstream version.
    - Supports Iceweasel/Firefox versions up to 11.*, closes: #653433.
  * debian/copyright: Do not combine license text with references in the
    License: line.
  * debian/rules: Add an explicitly .PHONY “binary” rule so make does not get
    confused by the new binary/ directory introduced by upstream.

 -- Michael Schutte <michi@debian.org>  Wed, 28 Dec 2011 21:23:42 +0100
