=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 %:
 	dh $@ --with xul-ext
+
+# this silliness is needed due to the binary/ directory in the project root
+.PHONY: binary
+binary:
+	dh binary --with xul-ext
 
 override_dh_auto_build:
 	make DIRS=$(PACKAGES) MANGLE=chrome XPI_FILES='bootstrap.js NEWS' xpi
@@ -27,7 +32,7 @@
 		done
 
 UPSTREAM_REPO=../upstream
-UPSTREAM_REVISION=pentadactyl-1.0b6
+UPSTREAM_REVISION=pentadactyl-1.0rc1
 UPSTREAM_DEST=$(shell pwd)/dactyl.tar.gz
 
 get-orig-source:
