## dactyl 1.1+hg7904

=== debian/changelog ===
dactyl (1.1+hg7904-0+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream revision which fixes compatibility with firefox 29
    (closes: #750032, #750359)

 -- Don Armstrong <don@debian.org>  Fri, 13 Jun 2014 12:52:52 -0700

dactyl (1.0+hg6976-1) unstable; urgency=low

  * New upstream revision 6976 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Fixes smooth scrolling with recent versions of Iceweasel/Firefox,
      closes: #723678.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Michael Schutte <michi@debian.org>  Sun, 01 Dec 2013 12:18:46 +0100

dactyl (1.0+hg6948-1) unstable; urgency=low

  * New upstream revision 6948 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Supports Iceweasel/Firefox versions up to 24, closes: #720447.

 -- Michael Schutte <michi@debian.org>  Mon, 09 Sep 2013 17:04:25 +0200

dactyl (1.0+hg6924-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream revision 6924 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Supports Iceweasel/Firefox versions up to 22.0a1, closes: #706990.
  * Use Git URLs with an anonscm.debian.org host part for the VCS pointers in
    debian/control.
  * Bump Standards-Version: to 3.9.4; no changes necessary.
  * Update debian/copyright: Set Format: correctly, bump years and add a
    stanza for binary/*.
  * Increase debian/compat to 9 and change the build-dependency on debhelper
    accordingly.

 -- Michael Schutte <michi@debian.org>  Fri, 10 May 2013 23:07:00 +0200

dactyl (1.0-1) experimental; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add myself to Uploaders.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 28 Jul 2012 16:29:46 +0200
