=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Schutte <michi@debian.org>
-Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.19~)
-Standards-Version: 3.9.2
+Uploaders: Michael Schutte <michi@debian.org>, Jérémy Bobbio <lunar@debian.org>
+Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.19~)
+Standards-Version: 3.9.5
 Homepage: http://dactyl.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-mozext/dactyl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mozext/dactyl.git
+Vcs-Git: git://anonscm.debian.org/pkg-mozext/dactyl.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-mozext/dactyl.git
 
 Package: xul-ext-pentadactyl
 Architecture: all
