=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		done
 
 UPSTREAM_REPO=../upstream
-UPSTREAM_REVISION=pentadactyl-1.0rc1
+UPSTREAM_REVISION=7094
 UPSTREAM_DEST=$(shell pwd)/dactyl.tar.gz
 
 get-orig-source:
@@ -44,6 +44,7 @@
 	hg --cwd $(UPSTREAM_REPO) update
 	hg --cwd $(UPSTREAM_REPO) archive \
 		-r $(UPSTREAM_REVISION) -p dactyl \
-		-X .hgtags -X common/javascript.vim \
+		-X .hgtags -X .hgsub -X .hgsubstate -X .hgignore \
+		-X common/javascript.vim \
 		-t tgz $(UPSTREAM_DEST)
 	test ! -f .hg-repo-created || ( rm -rf $(UPSTREAM_REPO); rm -f .hg-repo-created )
