=== debian/watch ===
# dactyl is maintained in a mercurial repo at
#   http://code.google.com/p/dactyl
# and isn’t released as a tarball
