## dactyl 1.2~r20151231

=== debian/changelog ===
dactyl (1.2~r20151231-1) unstable; urgency=medium

  * New revision taken from the upstream Git repository at
    <https://github.com/5digits/dactyl.git>, commit 4904fb5.
    - Compatible with Iceweasel/Firefox up to version 46, closes: #809379.
  * Update project URLs to point to Github instead of Google Code.
  * Add Breaks: ${xpi:Breaks} to control.
  * Remove the hg-based get-orig-source rule now that upstream is in Git.

 -- Michael Schutte <michi@debian.org>  Fri, 01 Jan 2016 15:48:25 +0100

dactyl (1.2~hg7166-1) unstable; urgency=medium

  * Thank you for the NMU, Don!
  * New upstream revision 7166 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Supports Iceweasel/Firefox versions up to 39, closes: #785300.
  * Apply a patch by Chris Lamb to make the build reproducible, closes: #776618.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Michael Schutte <michi@debian.org>  Tue, 19 May 2015 15:47:49 +0200
