=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Schutte <michi@debian.org>, Jérémy Bobbio <lunar@debian.org>
-Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.19~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.23~)
+Standards-Version: 3.9.6
 Homepage: http://dactyl.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/dactyl.git
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-mozext/dactyl.git
@@ -15,6 +15,7 @@
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
+Breaks: ${xpi:Breaks}
 Description: Vim-inspired, keyboard-accessible user interface for Iceweasel/Firefox
  This Iceweasel/Firefox extension makes it possible to control the
  browser almost entirely by keyboard, in a manner similar to the Vim
