=== pentadactyl/Makefile ===
#### configuration

NAME          = pentadactyl

FIREFOX      ?= firefox
HOSTAPP      ?= $(FIREFOX)
PROFILEPATHS ?= "$$HOME/.mozilla/firefox" \
		"$$HOME/Library/Application Support/Firefox" \
		"$$APPDATA/Mozilla/Firefox/Profiles" \
		"$$AppData/Mozilla/Firefox/Profiles"

include ../common/Makefile
