=== teledactyl/locale/en-US/Makefile ===
NAME = teledactyl
BASE = ../../../common
include $(BASE)/Makefile.doc
