=== debian/changelog ===
dactyl (1.2~r20170308-1) unstable; urgency=medium

  * New revision taken from the upstream Git repository at
    <https://github.com/5digits/dactyl.git>, commit 0043f8d.
    - Compatible with Firefox up to version 52, closes: #863947, #818300.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update anonscm.debian.org URIs in debian/control.
  * Remove unused dpkg-parsechangelog incantation from debian/rules (back from
    when we pulled from the old upstream hg repo).
  * Use $SOURCE_DATE_EPOCH to facilitate reproducible building in
    debian/rules.  Build-depend on debhelper >= 9.20151004 to make sure it's
    available.
  * Use the preferred https: URI for Format: in debian/copyright.

 -- Michael Schutte <michi@debian.org>  Mon, 19 Jun 2017 21:46:43 +0200
