=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Schutte <michi@debian.org>, Jérémy Bobbio <lunar@debian.org>
-Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.23~)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.20151004), mozilla-devscripts (>= 0.23~)
+Standards-Version: 4.0.0
 Homepage: http://dactyl.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-mozext/dactyl.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-mozext/dactyl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/dactyl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/dactyl.git
 
 Package: xul-ext-pentadactyl
 Architecture: all
