=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
 
 PACKAGES=pentadactyl # teledactyl melodactyl
-VERSION=$(shell dpkg-parsechangelog | \
-	sed -n -e '/^Version:/ { s/^Version:\s*//; s/[^a-z0-9]/_/g; p }')
-BUILD_DATE=$(shell date --date="$(shell dpkg-parsechangelog --show-field Date)" "+%Y/%m/%d %H:%M:%S")
+DATE_FMT=%Y-%m-%d %H:%M:%S
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
+else
+    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
+endif
 
 %:
 	dh $@ --with xul-ext
