=== debian/watch ===
# dactyl is maintained in a Git repo at
#   https://github.com/5digits/dactyl
# and isn’t released as a tarball
